Package ch.qos.logback.core.joran.action

## Class IADataForComplexProperty

- java.lang.Object
- - ch.qos.logback.core.joran.action.IADataForComplexProperty

    public class IADataForComplexProperty
    extends java.lang.Object

Lump together several fields for use by `NestedComplexPropertyIA`.

Author:
  Ceki

### Constructor Summary

Constructors
`IADataForComplexProperty​(PropertySetter parentBean, AggregationType aggregationType, java.lang.String complexPropertyName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AggregationType` `getAggregationType()`
`java.lang.String` `getComplexPropertyName()`
`java.lang.Object` `getNestedComplexProperty()`
`void` `setNestedComplexProperty​(java.lang.Object nestedComplexProperty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IADataForComplexProperty

    public IADataForComplexProperty​(PropertySetter parentBean,
                                    AggregationType aggregationType,
                                    java.lang.String complexPropertyName)

### Method Detail

#### getAggregationType

    public AggregationType getAggregationType()

#### getNestedComplexProperty

    public java.lang.Object getNestedComplexProperty()

#### getComplexPropertyName

    public java.lang.String getComplexPropertyName()

#### setNestedComplexProperty

    public void setNestedComplexProperty​(java.lang.Object nestedComplexProperty)